View Issue Details

IDProjectCategoryView StatusLast Update
0003041SymmetricDS ProBugpublic2017-04-20 14:24
ReporterchensonAssigned Tomaxwellpettit 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.21 
Target Version3.8.21Fixed in Version3.8.21 
Summary0003041: Sql Explorer Parse Query Bug
DescriptionHit CNTL-SPACE at the end of this query:

select * from sym_data where data_id in (select data_id from sym_data_event where batch_id=457894855) and data_id > 9702692980-20;

And you get this:

2017-04-10 07:44:43,074 WARN [CorpEngine] [SqlSuggester] [http-nio-8080-exec-7]
java.lang.StringIndexOutOfBoundsException: String index out of range: -1
     at java.lang.String.substring(String.java:1967)
     at org.jumpmind.vaadin.ui.sqlexplorer.SqlSuggester.getCurrentQuery(SqlSuggester.java:212)
     at org.jumpmind.vaadin.ui.sqlexplorer.SqlSuggester.getReferencedTableNames(SqlSuggester.java:241)
     at org.jumpmind.vaadin.ui.sqlexplorer.SqlSuggester.getSuggestions(SqlSuggester.java:52)
     at org.vaadin.aceeditor.SuggestionExtension$1.suggest(SuggestionExtension.java:47)
     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
     at java.lang.reflect.Method.invoke(Method.java:498)
     at com.vaadin.server.ServerRpcManager.applyInvocation(ServerRpcManager.java:158)
     at com.vaadin.server.ServerRpcManager.applyInvocation(ServerRpcManager.java:118)
     at com.vaadin.server.communication.ServerRpcHandler.handleInvocations(ServerRpcHandler.java:408)
     at com.vaadin.server.communication.ServerRpcHandler.handleRpc(ServerRpcHandler.java:273)
     at com.vaadin.server.communication.PushHandler$2.run(PushHandler.java:149)
     at com.vaadin.server.communication.PushHandler.callWithUi(PushHandler.java:243)
     at com.vaadin.server.communication.PushHandler.onMessage(PushHandler.java:503)
     at com.vaadin.server.communication.PushAtmosphereHandler.onMessage(PushAtmosphereHandler.java:88)
     at com.vaadin.server.communication.PushAtmosphereHandler.onRequest(PushAtmosphereHandler.java:78)
     at org.atmosphere.cpr.AsynchronousProcessor.action(AsynchronousProcessor.java:199)
     at org.atmosphere.cpr.AsynchronousProcessor.suspended(AsynchronousProcessor.java:107)
     at org.atmosphere.container.Servlet30CometSupport.service(Servlet30CometSupport.java:66)
     at org.atmosphere.cpr.AtmosphereFramework.doCometSupport(AtmosphereFramework.java:2075)
     at org.atmosphere.websocket.DefaultWebSocketProcessor.dispatch(DefaultWebSocketProcessor.java:571)
     at org.atmosphere.websocket.DefaultWebSocketProcessor$3.run(DefaultWebSocketProcessor.java:333)
     at org.atmosphere.util.VoidExecutorService.execute(VoidExecutorService.java:101)
     at org.atmosphere.websocket.DefaultWebSocketProcessor.dispatch(DefaultWebSocketProcessor.java:328)
     at org.atmosphere.websocket.DefaultWebSocketProcessor.invokeWebSocketProtocol(DefaultWebSocketProcessor.java:425)
     at org.atmosphere.container.JSR356Endpoint$1.onMessage(JSR356Endpoint.java:213)
     at org.atmosphere.container.JSR356Endpoint$1.onMessage(JSR356Endpoint.java:210)
     at org.apache.tomcat.websocket.WsFrameBase.sendMessageText(WsFrameBase.java:399)
     at org.apache.tomcat.websocket.server.WsFrameServer.sendMessageText(WsFrameServer.java:110)
     at org.apache.tomcat.websocket.WsFrameBase.processDataText(WsFrameBase.java:500)
     at org.apache.tomcat.websocket.WsFrameBase.processData(WsFrameBase.java:295)
     at org.apache.tomcat.websocket.WsFrameBase.processInputBuffer(WsFrameBase.java:130)
     at org.apache.tomcat.websocket.server.WsFrameServer.onDataAvailable(WsFrameServer.java:73)
     at org.apache.tomcat.websocket.server.WsHttpUpgradeHandler.upgradeDispatch(WsHttpUpgradeHandler.java:148)
     at org.apache.coyote.http11.upgrade.UpgradeProcessorInternal.dispatch(UpgradeProcessorInternal.java:54)
     at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:53)
     at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:798)
     at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1434)
     at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)
     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
     at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)
     at java.lang.Thread.run(Thread.java:745)
TagsNo tags attached.

Activities

maxwellpettit

2017-04-19 13:22

developer   ~0001020

Also fixed SQL Explorer history date sorting

Issue History

Date Modified Username Field Change
2017-04-10 07:47 chenson New Issue
2017-04-11 21:03 chenson Assigned To => maxwellpettit
2017-04-11 21:03 chenson Status new => assigned
2017-04-19 13:22 maxwellpettit Note Added: 0001020
2017-04-19 13:22 maxwellpettit Status assigned => resolved
2017-04-19 13:22 maxwellpettit Fixed in Version => 3.8.20
2017-04-19 13:22 maxwellpettit Resolution open => fixed
2017-04-19 13:23 maxwellpettit Status resolved => feedback
2017-04-19 13:23 maxwellpettit Resolution fixed => reopened
2017-04-19 13:24 maxwellpettit Product Version => 3.8.21
2017-04-19 13:24 maxwellpettit Fixed in Version 3.8.20 => 3.8.21
2017-04-19 13:24 maxwellpettit Target Version => 3.8.21
2017-04-19 13:24 maxwellpettit Status feedback => resolved
2017-04-19 13:24 maxwellpettit Resolution reopened => fixed
2017-04-20 14:24 chenson Status resolved => closed